<button id="logout-button">Logout</button>

<script>
document.getElementById('logout-button').addEventListener('click', function () {
    fetch('/logout', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({ action: 'logout' })
    })
    .then(response => {
        if (!response.ok) {
            throw new Error(`Logout failed: ${response.status}`);
        }
        return response.json(); // if you expect JSON back
    })
    .then(data => {
        console.log('Logout successful:', data);
        // window.location.href = '/login'; // redirect if needed
    })
    .catch(error => {
        console.error('Error during logout:', error);
    });
});

</script>

